Type to search.

Get connector types

Base URL
https://{kibana_url}
  • GET /api/actions/connector_types
  • GET /s/{space_id}/api/actions/connector_types
Auth

You do not need any Kibana feature privileges to run this API.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

feature_id string · max length: 100

A filter to limit the retrieved connector types to those that support a specific feature (such as alerting or cases).

Responses

Indicates a successful call.

application/json
<array> object[]
allow_multiple_system_actions boolean

Indicates whether multiple instances of the same system action connector can be used in a single rule.

description string

Description of the connector type.

enabled boolean required

Indicates whether the connector is enabled.

enabled_in_config boolean required

Indicates whether the connector is enabled in the Kibana configuration.

enabled_in_license boolean required

Indicates whether the connector is enabled through the license.

id string required

The identifier for the connector.

is_deprecated boolean required

Indicates whether the connector type is deprecated.

is_experimental boolean

Indicates whether the connector type is in technical preview.

is_system_action_type boolean required

Indicates whether the action is a system action.

is_testable boolean required

Indicates whether the connector type supports testing.

minimum_license_required enum required

The minimum license required to enable the connector.

Values: basic standard gold platinum enterprise trial
name string required

The name of the connector type.

source enum required

The source of the connector type definition.

Values: yml spec stack
sub_feature enum

Indicates the sub-feature type the connector is grouped under.

Values: endpointSecurity
supported_feature_ids string[] required

The list of supported features

403

Indicates that this call is forbidden.